#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - sethdlc preinstallation
#
# Creation   :  2021-04-18 holbru
# Last update:  $Id: preinstall.sh 84463 2021-04-18 14:22:34Z hbfl $
#
# Copyright (c) 2021-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=sethdlc

# ---------------------------------------------------------------------------
# check for old dahdi
# ---------------------------------------------------------------------------
installed=$(eisman check dahdi-tools 3.0.0)

if [ "${installed}" = "new" ]
then
    if [ -f '/etc/filelist.d/dahdi-tools-files.txt' ]
    then
        sed -i '/sethdlc$/d' /etc/filelist.d/dahdi-tools-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
